Bug Hunting Session
Bug 116323 - LibreOffice Calc won't open in read only if someone else is currently accessing the spreadsheet.
Summary: LibreOffice Calc won't open in read only if someone else is currently accessi...
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1 all versions
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Network File-Lock
  Show dependency treegraph
 
Reported: 2018-03-09 20:01 UTC by Adam Hess
Modified: 2019-11-13 03:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
This is the text import box described (49.25 KB, image/png)
2018-03-13 15:02 UTC, Adam Hess
Details
This is the read only or copy dialog box as described (23.99 KB, image/png)
2018-03-13 15:02 UTC, Adam Hess
Details
this is the error message after selecting read only (8.54 KB, image/png)
2018-03-13 15:03 UTC, Adam Hess
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Hess 2018-03-09 20:01:11 UTC
Description:
If a .ods spreadsheet is open by one of our users in Xubuntu 16.04 from a samba share mounted with cifs through /etc/fstab, then other users trying to open the spreadsheet are presented with a text import dialog box. Pressing OK or Cancel then brings up the "open read-only", "open copy" or "cancel" dialog box.
Clicking open read only presents and error. "Read Error. Data could not be read from the file"


Steps to Reproduce:
1.create a spreadsheet
2.have a user open the spreadsheet
3.have another user try to open the spreadsheet as read only


Actual Results:  
Error message. "Data could not be read from the file"

Expected Results:
opens spreadsheet read only


Reproducible: Always


User Profile Reset: Yes



Additional Info:
maybe a problem with the cifs mount in fstab?

This is the mount in fstab

//XXX.XXX.XX.X/general           /0data/XXXX/general    cifs credentials=/root/.smbcredentials,rw,nounix,iocharset=utf8,file_mode=0777,dir_mode=0777,forceuid,uid=XXXX,forcegid,gid=XXX,noperm 0 0



User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Aron Budea 2018-03-09 21:04:21 UTC Comment hidden (obsolete)
Comment 2 Adam Hess 2018-03-09 21:12:21 UTC Comment hidden (obsolete)
Comment 3 Julien Nabet 2018-03-10 07:42:06 UTC Comment hidden (obsolete)
Comment 4 Adam Hess 2018-03-12 14:55:56 UTC Comment hidden (obsolete)
Comment 5 Aron Budea 2018-03-13 06:12:35 UTC Comment hidden (obsolete)
Comment 6 Adam Hess 2018-03-13 15:01:36 UTC
Yes it still happens on 6.0.2.1

I've added a couple screen shots.  first of the text import. then the read only dialog. then the error message.
Comment 7 Adam Hess 2018-03-13 15:02:22 UTC
Created attachment 140614 [details]
This is the text import box described
Comment 8 Adam Hess 2018-03-13 15:02:51 UTC
Created attachment 140615 [details]
This is the read only or copy dialog box as described
Comment 9 Adam Hess 2018-03-13 15:03:14 UTC
Created attachment 140616 [details]
this is the error message after selecting read only
Comment 10 Xisco Faulí 2018-03-14 08:19:10 UTC
You can't confirm your own bugs. Moving it back to UNCONFIRMED until someone
else confirms it.
Comment 11 Buovjaga 2018-03-15 16:39:51 UTC
Sounds the same as this old bug: bug 65854. It was closed due to being in NEEDINFO for too long
Comment 12 Adam Hess 2018-03-15 16:45:45 UTC
I can give any more info needed. Just need to know what kind of info is needed.
Comment 13 John Bester 2018-10-05 12:35:14 UTC
This also happens with the following versions:
Samba 4.7.6 (Ubuntu 18.04 Server)
LibreOffice 6.0.6.2 (Ubuntu 18.04 Workstations)

I also encountered some strange behaviour that might be of interest:
You can mount the samba folder and do hexdump <remote-file> | tail without a problem, but cp <remote-file> /tmp/ causes an error. As soon as the office app holding the file is closed, the cp command works.

I also tested opening a file from different locations using a QNAP file server, and this did not cause any problems, which might indicate that their is a difference in Samba server that causes the problem. However, the same scenario worked well before upgrading Ubuntu 16.04 workstations to Ubuntu 18.04. To be completely fair, security updates to the server was applied at the same time (which was already an Ubuntu 18.04 server installation).

Unfortunately I could not get any useful logs on server (/var/log/samba) or client ( using --backtrace )
Comment 14 Xisco Faulí 2019-05-16 11:55:00 UTC
Hello Adam Hess,
A new major release of LibreOffice is available since this bug was reported.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 15 QA Administrators 2019-11-13 03:34:32 UTC
Dear Adam Hess,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INSUFFICIENTDATA
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-NeedInfo-Ping